import axios from './http';

/** 获取天气 **/
export function getWeather(data) {
  return axios({
    url: '/produce/weather/info',
    method: 'post',
    params: data
  })
}

// 登录
export function Login(data) {
  return axios({
    url: '/admin/my/loginMultilevel',
    method: 'post',
    data: data
  })
}

// 牧场列表
export function getFarm(data) {
  return axios({
    url: '/admin/farm/getFarm',
    method: 'get',
    params: data
  })
}

// 选择牧场
export function getFarmId(data) {
  return axios({
    url: 'admin/accountMultilevel/getLastFarmId',
    method: 'get',
    params: data,
  })
}

// 首页生态检测
export function getScreen(data) {
  return axios({
    url: 'produce/room/listLargeScreen',
    method: 'get',
    params: data,
  })
}

export function getEnv(data) {
  return axios({
    url: 'produce/room/getAllRoomEnvironment',
    method: 'get',
    params: data
  })
}

/* 环境查询 */
export function getByRoom(data) {
  return axios({
    url: '/produce/room/listByRoom',
    method: 'post',
    data: data
  })
}

/** 栋舍饮用水 **/
export function getListWater(data) {
  return axios({
    url: '/produce/dayWater/listWater',
    method: 'post',
    data: data
  })
}
